summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build12-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-11-16 15:58:09 +0100
committerHolger Levsen <holger@layer-acht.org>2016-11-16 15:58:09 +0100
commit7e5ea35ef55fd1a939a6671c91125af4b41c0a29 (patch)
tree90f20d03c513f49ebe397858328bca8c1bdf222b /hosts/profitbricks-build12-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
parent4b08e361797c96e9729e3e2561eaa14124bae357 (diff)
downloadjenkins.debian.net-7e5ea35ef55fd1a939a6671c91125af4b41c0a29.tar.xz
reproducible Debian: add two new i386 build nodes, pb12+16, thanks Profitbricks for the ressources
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'hosts/profitbricks-build12-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir')
-rwxr-xr-xhosts/profitbricks-build12-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir18
1 files changed, 18 insertions, 0 deletions
diff --git a/hosts/profitbricks-build12-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir b/hosts/profitbricks-build12-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
new file mode 100755
index 00000000..9225116b
--- /dev/null
+++ b/hosts/profitbricks-build12-i386/etc/pbuilder/rebuild-hooks/A01_modfiy_src_dir
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+cd $BUILDDIR
+
+if [ "$PWD" == "/build" ]; then
+ # build path variation disabled, so do nothing
+ exit 0
+fi
+
+# There should be only one file, the source directory.
+src_dir=$(ls | head -n 1)
+
+mv $src_dir 2nd